Aex Brain
HTTP APIAPI

Resume a session

Moves an interrupted or failed session back to idle from its last completed checkpoint. Requires a management token. Send a new user.message after resuming to continue the conversation.

POST/sessions/{id}/resume
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Opaque session ID.

Match^[a-fA-F0-9]{32}$

Response Body

application/json

application/json

curl -X POST "https://example.com/sessions/string/resume" \  -H "Authorization: Bearer YOUR_TOKEN"
{  "checkpoint": {    "id": "string",    "offset": 0,    "time": "2019-08-24T14:15:22Z"  },  "config": {    "bindings": [      {        "alias": "string",        "executor": "string",        "operations": [          "string"        ],        "parameters": null,        "provider": "string",        "runtime": [          {            "description": "string",            "input_schema": null,            "name": "string",            "output_schema": null          }        ]      }    ],    "instructions": "string",    "model": "string",    "reasoning_effort": "string",    "tools": [      "string"    ]  },  "created_at": "2019-08-24T14:15:22Z",  "credential_bindings": [    "string"  ],  "descriptors": [    {      "description": "string",      "input_schema": null,      "name": "string",      "output_schema": null    }  ],  "harness": "string",  "id": "string",  "status": "string",  "updated_at": "2019-08-24T14:15:22Z"}